Skip to main content
GET
/
company
/
documents
/
{id}
Get Company Document
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/company/documents/{id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "name": "<string>",
  "file_name": "<string>",
  "location": "<string>",
  "date_added": "<string>",
  "type": "<string>",
  "deleted": 123,
  "date_deleted": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Document ID

Response

OK

id
integer

Unique document identifier

name
string

Display name of the document

file_name
string

Original file name

location
string

URL to the stored document file

date_added
string

Date the document was uploaded

type
string

MIME type of the document (e.g. application/pdf, image/png)

deleted
integer

Soft-delete flag (0 = active, 1 = deleted)

date_deleted
string<date-time> | null

Timestamp when the document was soft-deleted, or null if active